Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
block problem
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
mystified
l33t
l33t


Joined: 14 Feb 2004
Posts: 771

PostPosted: Wed Dec 28, 2005 3:40 pm    Post subject: block problem Reply with quote

when I did emerge -uD world today I got the following

Code:
Calculating world dependencies ...done!
[blocks B     ] <app-text/xpdf-3.01-r4 (is blocking app-text/poppler-0.4.3-r1)
[ebuild  N    ] app-text/xpdf-3.01-r3
[ebuild  N    ] media-sound/xmms-1.2.10-r15
[ebuild  N    ] media-plugins/xmms-mpg123-1.2.10-r1
[ebuild  N    ] media-plugins/xmms-mikmod-1.2.10
[ebuild  N    ] media-plugins/xmms-vorbis-1.2.10-r1
[ebuild  N    ] media-plugins/xmms-arts-0.7.1-r1
[ebuild  N    ] media-plugins/xmms-mad-0.8
[ebuild  N    ] media-plugins/xmms-esd-1.2.10-r1
[ebuild  N    ] media-plugins/xmms-oss-1.2.10
[ebuild  N    ] media-plugins/xmms-alsa-1.2.10-r2
[ebuild  N    ] x11-wm/metacity-2.10.3
[ebuild  N    ] app-text/poppler-0.4.3-r1
gentoo mystified # emerge -C xpdf

--- Couldn't find xpdf to unmerge.

>>> unmerge: No packages selected for removal.


As you can see I unemerged xpdf and I still get the block. I tried unemerging poppler but it wants to install it anyway.

Any suggestions?
Back to top
View user's profile Send private message
Pandor
Tux's lil' helper
Tux's lil' helper


Joined: 16 Nov 2005
Posts: 128
Location: Belgium

PostPosted: Wed Dec 28, 2005 4:22 pm    Post subject: Reply with quote

The latest (~arch) poppler ebuild relies on xpdf xpdf-3.01-r4, wich in return needs the latest poppler.
so you're trying to update poppler, but it finds an older, unsupported version of xpdf.

so you need to add 'app-text/xpdf' to /etc/portage/package.keywords.
But if you try to update xpdf then, it wil need the latest poppler, wich finds the older version of xpdf again, so where back from where we started. :D

Isn't this fun..


so, add both poppler and xpdf to /etc/portage/packages.keywords, unmerge the old xpdf, and then get the lates one (it will pull in the lates poppler as a depend.) ; done
:lol:
Back to top
View user's profile Send private message
mystified
l33t
l33t


Joined: 14 Feb 2004
Posts: 771

PostPosted: Wed Dec 28, 2005 4:35 pm    Post subject: Reply with quote

:lol: Yes gentoo is fun! Never a dull moment. Thanks that worked.
Back to top
View user's profile Send private message
mark_alec
Bodhisattva
Bodhisattva


Joined: 11 Sep 2004
Posts: 6066
Location: Melbourne, Australia

PostPosted: Sat Dec 31, 2005 1:14 am    Post subject: Reply with quote

Duplicate of https://forums.gentoo.org/viewtopic-t-417036.html
_________________
www.gentoo.org.au || #gentoo-au
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum